<?php
//avoid direct calls to this file where wp core files not present
if (!function_exists ('add_action')) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}

function upf_update_option( $option, $newvalue ) {
	global $wpdb;

	$oldvalue = upf_get_option( $option ) ;
	
	if ( false === $oldvalue ){
		return upf_add_option( $option, $newvalue );
	}
	if ( $newvalue === $oldvalue ){
		return false;	
	}

	$result = $wpdb->update( $wpdb->base_prefix.'upf_options', array("meta_value" => $newvalue), array("meta_key" => $option), array("%s"), array("%s") );

	if ( $result ){
		return true;
	}	
	return false;
}

function upf_add_option( $option, $newvalue ) {
	global $wpdb;
	
	$keys = explode("_", $option);	
	
	$result = $wpdb->insert($wpdb->base_prefix.'upf_options', array("page_id" => $keys['0'], "child_id" => $keys['1'], "item_id" => $keys['2'], "tab_id" => $keys['3'], "field_id" => $keys['4'], "meta_key" => $option, "meta_value" => $newvalue), array("%s", "%s", "%s", "%s", "%s", "%s", "%s"));
	//$result =   $wpdb->insert($wpdb->base_prefix.'upf_options', array("page_id" => $keys['page'], "child_id" => $keys['child'], "item_id" => $keys['item'], "field_id" => $keys['field'], "meta_key" => $option, "meta_value" => $newvalue), array("%d", "%d", "%d", "%d", "%s", "%s"));

	if ( $result ) {
		return true;
	}
	return false;
}

function upf_get_option( $option ) {
	global $wpdb;
	
   $result = $wpdb->get_row("SELECT meta_key, meta_value FROM ".$wpdb->base_prefix."upf_options WHERE meta_key = '".$option."'");

	if ($result) {
		return maybe_unserialize($result->meta_value);
	}
	return false;
}

function upf_get_options( $option, $object = 'list' ) {
	global $wpdb;
	$data = false;
	
	$keys = explode("_", $option);
	if( !empty($keys['0'] )){
		$where = " WHERE page_id = '".$keys['0']."' ";
	}
	if( !empty($keys['1'] )){
		$where .= " AND child_id = '".$keys['1']."' ";
	}
	if( !empty($keys['2'] )){
		$where .= " AND item_id = '".$keys['2']."' ";
	}
	if( !empty($keys['3'] )){
		$where .= " AND tab_id = '".$keys['3']."' ";
	}
	if( !empty($keys['4'] )){
		$where .= " AND field_id = '".$keys['4']."' ";
	}
	
	$sql = "SELECT * FROM ".$wpdb->base_prefix."upf_options ".$where." ORDER BY meta_id ASC";
	$results = $wpdb->get_results($sql);
	if($object == 'list'){
		foreach($results as $key => $result){
			$data[$result->meta_key] = $result->meta_value;
		}
	}elseif($object == 'array'){
		foreach($results as $key => $result){
			$data[$result->page_id][$result->child_id][$result->item_id][$result->tab_id][$result->field_id] = $result->meta_value;
		}
		if( !empty($keys['0'] )){
			$data = $data[$keys['0']];
		}
		if( !empty($keys['1'] )){
			$data = $data[$keys['1']];
		}
		if( !empty($keys['2'] )){
			$data = $data[$keys['2']];
		}
		if( !empty($keys['3'] )){
			$data = $data[$keys['3']];
		}
		if( !empty($keys['4'] )){
			$data = $data[$keys['4']];
		}
	}else{
		$data = $results;
	}

	if ($data ) {
		return maybe_unserialize($data);
	}
	return false;
}

function upf_delete_options( $option ) {
	global $wpdb;		

	$keys = explode("_", $option);	
	if( !empty($keys['0'] )){
		$where = " WHERE page_id = '".$keys['0']."' ";
	}
	if( !empty($keys['1'] )){
		$where .= " AND child_id = '".$keys['1']."' ";
	}
	if( !empty($keys['2'] )){
		$where .= " AND item_id = '".$keys['2']."' ";
	}
	if( !empty($keys['3'] )){
		$where .= " AND tab_id = '".$keys['3']."' ";
	}
	if( !empty($keys['4'] )){
		$where .= " AND field_id = '".$keys['4']."' ";
	}
				
	$sql = $wpdb->prepare("DELETE FROM ".$wpdb->base_prefix."upf_options  ".$where."");
	$results = $wpdb->query($sql);
	
	if ($results ) {
		return true;
	}
	return false;
}