<?php

class special_listtable_invoices extends box{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($box){
	}
	function on_page_head($box){	
	}
	function on_page_footer($box){	
	}
	
	function on_page_body($box){
		$box_settings = array(
			"page" => 'invoices',
			"child" => 'invoice',
			"columns" => array(
				array(
					"title" => "Invoice Number",
					"tab" => "information",
					"field" => "invoicenumber",
					"presorted" => true
				),
				array(
					"title" => "Invoice Title",
					"tab" => "information",
					"field" => "invoicetitle",
				),	
				array(
					"title" => "Client",
					"tab" => "information",
					"field" => "client",
				),
				array(
					"title" => "Due Date",
					"tab" => "information",
					"field" => "duedate",
				),
				array(
					"title" => "Status",
					"tab" => "information",
					"field" => "status",
				),
				array(
					"title" => "Invoice Total",
					"tab" => "information",
					"field" => "total",
				),
				array(
					"title" => "Amount Due",
					"tab" => "information",
					"field" => "due",
				),
			)
		);
		$box = array_merge($box,$box_settings);
		
		if(is_array($box['columns'])){
			foreach($box['columns'] as $key => $column){
				$box['columns'][$key]['slug'] = $column['tab'].'_'.$column['field'];
			}
		}		

		// check delete action of WP_List_table
		if ( isset( $_REQUEST['action'] ) && -1 != $_REQUEST['action'] ){
			$current_action =  $_REQUEST['action'];
		}
		if ( isset( $_REQUEST['action2'] ) && -1 != $_REQUEST['action2'] ){
			$current_action =  $_REQUEST['action2'];
		}
		if(isset($box['bulk_actions'])){		
			if( 'delete' === $current_action ) {
				if(is_array($_POST['item'])){
					foreach ($_POST['item'] as $item_id) {								
						$option = $box['page'].'_'.$box['child'].'_'.$item_id;
						$deleted = $this->parent->on_page_delete( $option , false );					
					}	
				}
			}
		}
		
		$results = upf_get_options($box['page'].'_'.$box['child']);
		if(is_array($results)){
			foreach($results as $meta_key => $meta_value){
				$keys = explode("_", $meta_key);
				$item = $keys['2'];
				$column_name = $keys['3']."_".$keys['4'];

				// first given column is the title column
				$column_name = $column_name == $box['columns']['0']['slug'] ? 'title' : $column_name;				
				
				$data[$item]['ID'] = $item; // store item_id as column(ID) row value
				$data[$item][$column_name] = $meta_value; // store column row value
			}
		}
		
		// first given column is the title column
		$box['columns']['0']['slug'] = 'title';
		
		$statuses = array(
			array ('title' =>'All', 'slug' => 'all'),
			array ('title' =>'Draft', 'slug' => 'draft'),
			array ('title' =>'Open', 'slug' => 'open'),
			array ('title' =>'Sent', 'slug' => 'sent'),
			array ('title' =>'Paid', 'slug' => 'paid'),
			array ('title' =>'Overdue', 'slug' => 'overdue'),
		);
		
		if(is_array($statuses) && is_array($data)){
			foreach($statuses as $key => $status){
				$filtered_temp = array();
				switch ($status['slug']) {
					case 'draft':
						foreach($data as $id => $item){
							$the_status = maybe_unserialize($item['information_status']);
							if($the_status['option'] == 'draft'){
								$filtered_temp[$id] = $item; 
							}
						}
						$filtered[$status['slug']] = $filtered_temp;	
						$statuses[$key]['count'] = count($filtered[$status['slug']]);
					break;
					case 'open':
						foreach($data as $id => $item){
							$the_status = maybe_unserialize($item['information_status']);
							if($the_status['option'] == 'open'){
								$filtered_temp[$id] = $item; 
							}
						}
						$filtered[$status['slug']] = $filtered_temp;	
						$statuses[$key]['count'] = count($filtered[$status['slug']]);
					break;
					case 'sent':
						foreach($data as $id => $item){
							$the_status = maybe_unserialize($item['information_status']);
							if($the_status['option'] == 'sent'){
								$filtered_temp[$id] = $item; 
							}
						}
						$filtered[$status['slug']] = $filtered_temp;	
						$statuses[$key]['count'] = count($filtered[$status['slug']]);
					break;
					case 'paid':
						foreach($data as $id => $item){
							$the_status = maybe_unserialize($item['information_status']);
							if($the_status['option'] == 'paid'){
								$filtered_temp[$id] = $item; 
							}
						}
						$filtered[$status['slug']] = $filtered_temp;		
						$statuses[$key]['count'] = count($filtered[$status['slug']]);
					break;
					case 'overdue':
						foreach($data as $id => $item){
							$the_status = maybe_unserialize($item['information_status']);
							if($the_status['option'] == 'overdue'){
								$filtered_temp[$id] = $item; 
							}
						}
						$filtered[$status['slug']] = $filtered_temp;	
						$statuses[$key]['count'] = count($filtered[$status['slug']]);
					break;
					default:
						$filtered['all'] = $data;
						$statuses[$key]['count'] = count($filtered['all']);
					break;
				}
			}
		}
		
		if(!empty($_GET['status'])) {
			$filtered_data = $filtered[$_GET['status']];
			$current_class[$_GET['status']] = 'current';
		}else{
			$filtered_data = $filtered['all'];
			$current_class['all'] = 'current';
		}
		echo '<div id="'.$content['id'].'" class="listtable">';
			
			echo '<ul class="subsubsub">';
				if(is_array($statuses)){
					$params = $_GET;
					foreach($statuses as $key => $status){
						if($status['slug'] == 'all'){
							unset($params['status']);
						}else{
							$params['status'] = $status['slug'];
						}
						$separator = ($status == end($statuses)) ? '' : '|';
						echo '<li><a href="admin.php?'.http_build_query($params).'" class="'.$current_class[$status['slug']].'">'.$status['title'].' <span class="count">('.(int) $status['count'].')</span></a> '.$separator.'</li>';
					}
				}			
			echo'</ul>';
			$itemlist = new upf_special_listtable_invoices();
			$itemlist->prepare_items($filtered_data,$box); 
			if($box['search'] == true){
				$itemlist->search_box('search', 'search');
			}
			$itemlist->display(); 	
			
		echo '</div>';	

	}
	
	function on_page_save($content){
	}	
}

if( ! class_exists( 'WP_List_Table' ) ) {
	require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class upf_special_listtable_invoices extends WP_List_Table {

		function __construct(){				
			parent::__construct( array(
				'singular'  => 'item',
				'plural'    => 'items',
				'ajax'      => false, //ajax support
			) );
		}
		
		function column_default($item, $column_name){
			return $item[ $column_name ];
		}
		
		function column_cb($item){
			return sprintf('<input type="checkbox" name="%1$s[]" value="%2$s" />', $this->_args['singular'], $item['ID']);
		}	

		function column_title($item){
			//create nonce
			$action = $this->box['page'].'-'.$this->box['child'].'-'.$item['ID'].'-'.'delete';
			$nonce= wp_create_nonce($action);
			
			//build row actions
			$actions = array(
				'edit'      => sprintf('<a href="?page=%s&child=%s&item=%s&action=edit">Edit</a>',$this->box['page'],$this->box['child'],$item['ID']),
				'delete'    => sprintf('<a href="?page=%s&child=%s&item=%s&action=delete&_wpnonce=%s" onclick="javascript:return UpfConfirmDelete()">Delete</a>',$this->box['page'],$this->box['child'],$item['ID'],$nonce),
			);	
			
			//return the title contents
			return sprintf('<a class="row-title" href="?page=%s&child=%s&item=%s&action=edit">%s</a> <span style="color:silver">(item:%s)</span>%s',
				$this->box['page'],
				$this->box['child'],
				$item['ID'],
				$item['title'],
				$item['ID'],
				$this->row_actions($actions)
			);
		}

		function column_information_client($item){			
			//return the contact contents
			global $wpdb;
			
			if(!empty($item['information_client'])){
				$where  = " WHERE page_id = 'clients'";
				$where .= " AND child_id = 'client'"; 
				$where .= " AND tab_id = 'information'";
				$where .= " AND field_id = 'company'";
				$where .= " AND item_id = '".$item['information_client']."'";	
				
				$sql = "SELECT field_id,meta_value FROM ".$wpdb->base_prefix."upf_options ".$where." ";
				$results = $wpdb->get_results($sql);
				foreach($results as $key => $result){
					$company = $result->meta_value;
				}		

				return sprintf('<a class="row-title" href="?page=clients&child=client&item=%s&action=edit">%s</a> <span style="color:silver">(item:%s)</span>',
					$item['information_client'],
					$company,
					$item['information_client']
				);
			}
		}

		function column_information_total($item){
			$currency = $item['information_currency'];
			$currency = maybe_unserialize($currency);
			
			$total = $item['information_total'];	
			return '<span>'.number_format($total, 2, '.', ',').' '.$currency['option'].'</span>';	
		}

		function column_information_due($item){
			$currency = $item['information_currency'];
			$currency = maybe_unserialize($currency);
			
			$due = $item['information_due'];	
			return '<span>'.number_format($due, 2, '.', ',').' '.$currency['option'].'</span>';	
		}
		
		function column_information_status($item){			
			//return the email contents
			if(!empty($item['information_status'])){
				$status = maybe_unserialize($item['information_status']);
				if(!empty($status['option'])){
					return $status['title'];
				}
			}
		}
		
		function get_columns(){
			if(isset($this->box['bulk_actions'])){
				$columns['cb'] = '<input type="checkbox" />'; //checkbox column
			}
			foreach ($this->box['columns'] as $column) {				
				$columns[$column['slug']] = $column['title'];
			}	
			return $columns;
		}
		
		function get_sortable_columns() {
			foreach ($this->box['columns'] as $column) {	
				if(!(isset($column['sortable']) && $column['sortable'] == false)){
					$sortable_columns[$column['slug']] = array($column['slug'],$column['presorted']);				
				}
			}	
			return $sortable_columns;
		}
		
		function get_bulk_actions($actions = array()) {
			if(isset($this->box['bulk_actions'])){
				$actions = array(
					'delete'    => 'Delete'
				);
			}
			return $actions;
		}

		function process_bulk_action() {
		}
		
		function usort_reorder($a,$b){
			$orderby = (!empty($_REQUEST['orderby'])) ? $_REQUEST['orderby'] : 'title'; //if no sort, default to title
			$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'asc'; //if no order, default to asc
			$result = strcmp($a[$orderby], $b[$orderby]); //determine sort order
			return ($order==='asc') ? $result : -$result; //send final sort direction to usort
		}		
		
		function prepare_items($data,$box) {
			//ini box arguments
			$this->box = $box;
			
			//setup columns
			$columns = $this->get_columns();
			$sortable = $this->get_sortable_columns();
			$hidden = array();
			$this->_column_headers = array($columns, $hidden, $sortable);
			
			//setup bulk_actions
			$this->process_bulk_action();
			if(is_array($data)){
				//sort all items	
				usort($data, array( &$this, 'usort_reorder' ) );
				
				//ini display items
				$current_page = $this->get_pagenum();
				$total_items = count($data);
				if($this->box['per_page']){
					$per_page = $this->box['per_page'];
				}else{
					$per_page = 50;
				}
				$data = array_slice($data,(($current_page-1)*$per_page),$per_page);
				$this->items = $data;
				$total_pages = ceil($total_items/$per_page);
			}
			//set pagination
			$this->set_pagination_args( array(
				'total_items' => $total_items,
				'per_page'    => $per_page,
				'total_pages' => $total_pages
			) );
		}
}
?>