<?php
//avoid direct calls to this file where wp core files not present
if (!function_exists ('add_action')) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}

// disable adminbar option
$adminbar = upf_get_option('settings_settings_1_portal_adminbar');
if($adminbar['option'] != '1'){
	add_action('init', 'remove_admin_bar');
	function remove_admin_bar() {
		global $current_user;	
		$user_roles = $current_user->roles;
		$user_role = array_shift($user_roles);

		if ($user_role == 'client') {	
			show_admin_bar(false);
		}
	}
}

// redirect from admin option
$adminredirect = upf_get_option('settings_settings_1_portal_adminredirect');
if($adminredirect['option'] != '0'){
	add_filter("login_redirect", "upf_login_redirect", 10, 3);
	function upf_login_redirect( $redirect_to, $request, $user ){		
		if( $user->roles[0] == 'client' ) {
			// redirect them to the default place
			return get_permalink( upf_get_option('settings_settings_1_portal_portalpage') );
		} else {
			return $redirect_to;
		}
		return $redirect_to;
	}
}

add_action( 'delete_user', 'upf_on_user_delete');
function upf_on_user_delete($user_id) {
	global $wpdb;	
	$where  = " WHERE page_id = 'clients'";
	$where .= " AND child_id = 'client'"; 
	$where .= " AND tab_id = 'information'";
	$where .= " AND field_id = 'user'";
	$where .= " AND meta_value = '".$user_id."'";
	$sql = "SELECT item_id FROM ".$wpdb->base_prefix."upf_options ".$where."";
	$results_obj = $wpdb->get_results($sql);
	foreach($results_obj as $key => $result){
		$client_id = $result->item_id;
	}	
	
	$updated = upf_update_option('clients_client_'.$client_id.'_information_user','');
}


add_filter( 'page_template', 'upf_invoice_template' );
function upf_invoice_template( $page_template ){	
	$portalpage = upf_get_option('settings_settings_1_portal_portalpage');
	if(is_page($portalpage) && isset($_GET['invoice'])) {
		$page_template = dirname( __FILE__ ) . '/invoice-template.php';
	}
    return $page_template; 
}
	
add_filter('the_content', 'upf_get_client_page', 1);
function upf_get_client_page($content) {  
	$portalpage = upf_get_option('settings_settings_1_portal_portalpage');
	
	if(is_page($portalpage)) {
		global $post;
		global $current_user;

		$user_id = $current_user->ID;
		$user_roles = $current_user->roles;
		$user_role = array_shift($user_roles);	
		
		global $wpdb;		
		$where  = " WHERE page_id = 'clients'";
		$where .= " AND child_id = 'client'"; 
		$where .= " AND tab_id = 'information'";
		$where .= " AND field_id = 'user'";
		$where .= " AND meta_value = '".$user_id."'";
		$sql = "SELECT item_id FROM ".$wpdb->base_prefix."upf_options ".$where."";
		$results_obj = $wpdb->get_results($sql);
		$client_id = false;
		foreach($results_obj as $key => $result){
			$client_id = $result->item_id;
		}	
		$clientsonly = upf_get_option('settings_settings_1_portal_clientsonly');
		if($clientsonly['option'] != '0'){
			$rolecheck = $user_role == 'client' ? true : false;
		}else{
			$rolecheck = true;
		}		

		if ($rolecheck == true) {
			upf_display_user($client_id);
		}else{
			//display the original content
			return $content;
		}	
		
	} else {
		//display the original content
		return $content;
	}
}

	function projects_project_information_progress($table, $column, $item){
		if(!empty($item['information_progress'])){
			$progress = maybe_unserialize($item['information_progress']);
			
			return $progress['max'].'%';
		}
	}
	
	function projects_project_information_status($table, $column, $item){			
		//return the email contents
		if(!empty($item['information_status'])){
			$status = maybe_unserialize($item['information_status']);
			if(!empty($status['option'])){
				return $status['title'];
			}
		}
	}

	function invoices_invoice_information_status($table, $column, $item){			
		//return the email contents
		if(!empty($item['information_status'])){
			$status = maybe_unserialize($item['information_status']);
			if(!empty($status['option'])){
				return $status['title'];
			}
		}
	}

	function invoices_invoice_information_view($table, $column, $item){			
		//return the email contents
		if(!empty($item['ID'])){	
			return '<a href="?p='. upf_get_option('settings_settings_1_portal_portalpage') .'&invoice='.$item['ID'].'" target="_blank">View</a>';
		}
	}

	function invoices_invoice_information_total($table, $column, $item){
		$currency = $item['information_currency'];
		$currency = maybe_unserialize($currency);
		
		$total = $item['information_total'];	
		return '<span>'.number_format($total, 2, '.', ',').' '.$currency['option'].'</span>';	
		
	}

	function invoices_invoice_information_due($table, $column, $item){
		$currency = $item['information_currency'];
		$currency = maybe_unserialize($currency);
		
		$due = $item['information_due'];	
		return '<span>'.number_format($due, 2, '.', ',').' '.$currency['option'].'</span>';	

	}

function upf_display_user($client_id) {  
	global $post;
	global $current_user;

	$user_id = $current_user->ID;
		
	$tables = array(
		/* 	
		array(
			"title" => "Contacts overview",
			"page" => 'clients',
			"child" => 'contact',
			"tab" => 'information',
			"field" => "company",
			"columns" => array(
				array(
					"title" => "Last Name",
					"tab" => "information",
					"field" => "lastname",
					"presorted" => true
				),
				array(
					"title" => "First Name",
					"tab" => "information",
					"field" => "firstname",
				),
				array(
					"title" => "Job Title",
					"tab" => "information",
					"field" => "jobtitle",
				),
				array(
					"title" => "Email",
					"tab" => "information",
					"field" => "emailaddress",
				)
			)
		), 
		*/
		array(
			"title" => 'Project Overview',
			"page" => 'projects',
			"child" => 'project',
			"tab" => 'information',
			"field" => 'client',
			"columns" => array(
				array(
					"title" => "Project Name",
					"tab" => "information",
					"field" => "projectname",
					"presorted" => true
				),
				array(
					"title" => "Start Date",
					"tab" => "information",
					"field" => "startdate",
				),
				array(
					"title" => "Due Date",
					"tab" => "information",
					"field" => "duedate",
				),
				array(
					"title" => "Progress",
					"tab" => "information",
					"field" => "progress",
				),
				array(
					"title" => "Status",
					"tab" => "information",
					"field" => "status",
				),
			)
		),	
		array(
			"title" => "Invoices Overview",
			"page" => 'invoices',
			"child" => 'invoice',
			"tab" => 'information',
			"field" => 'client',
			"columns" => array(
				array(
					"title" => "Invoice Number",
					"tab" => "information",
					"field" => "invoicenumber",
					"presorted" => true
				),
				array(
					"title" => "Due Date",
					"tab" => "information",
					"field" => "duedate",
				),
				array(
					"title" => "Status",
					"tab" => "information",
					"field" => "status",
				),
				array(
					"title" => "Invoice Total",
					"tab" => "information",
					"field" => "total",
				),
				array(
					"title" => "Amount Due",
					"tab" => "information",
					"field" => "due",
				),
				array(
					"title" => "&nbsp;",
					"tab" => "information",
					"field" => "view",
				),
			)
		)
	);
	
	// Funtions are replaced outside this function
	
	foreach($tables as $key => $table){
		$results_obj = array();
		$data = array();
		$results = array();
		global $wpdb;		

		if(!empty($client_id)){
			$where  = " WHERE page_id = '".$table['page']."'";
			$where .= " AND child_id = '".$table['child']."'"; 
			$where .= " AND tab_id = '".$table['tab']."'";
			$where .= " AND field_id = '".$table['field']."'";
			$where .= " AND meta_value = '".$client_id."'";			
			$sql = "SELECT item_id FROM ".$wpdb->base_prefix."upf_options ".$where."";
			$results_obj = $wpdb->get_results($sql);		
			
			$items = array();
			foreach($results_obj as $key => $result){
				$items[] = $result->item_id;
			}
			if(is_array($items)){
				$item_ids = implode(',', $items);
			}
			
			$where  = " WHERE page_id = '".$table['page']."'";
			$where .= " AND child_id = '".$table['child']."'"; 
			$where .= " AND item_id IN (".$item_ids.")";			
			$sql = "SELECT * FROM ".$wpdb->base_prefix."upf_options ".$where." ";
			$results_obj = $wpdb->get_results($sql);		
			
			foreach($results_obj as $key => $result){
				$results[$result->meta_key] = $result->meta_value;
			}
			if(is_array($results)){
				foreach($results as $meta_key => $meta_value){
					$keys = explode("_", $meta_key);
					$item = $keys['2'];
					$column_name = $keys['3']."_".$keys['4'];
					$data[$item]['ID'] = $item;
					$data[$item][$column_name] = $meta_value; // store column row value
				}
			}
			$filtered_temp = array();
			foreach($data as $id => $item){
				$the_status = maybe_unserialize($item['information_status']);
				if($the_status['option'] != 'draft'){
					$filtered_temp[$id] = $item; 
				}
			}
			$data = $filtered_temp;
			
		}
		
		echo '<h2 id="clientportal-header-'.$table['child'].'" class="clientportal-header">'.$table['title'].'</h2>';
		echo '<table id="clientportal-table-'.$table['child'].'" class="clientportal-table">';
			echo '<thead>';
				echo '<tr>';
					if(is_array($table['columns'])){
						foreach($table['columns'] as $key => $column){
							echo '<th scope="col" id="'.$column['tab'].'-'.$column['field'].'" nowrap><span>'.$column['title'].'&nbsp;</span></th>';
						}
					}
				echo '</tr>';
			echo '</thead>';
			echo '<tbody>';
				if(count($data) > 0){
					foreach($data as $item_id => $item){
						echo '<tr>';
							foreach($table['columns'] as $key => $column){
								$column_name = $column['tab'].'_'.$column['field'];
								
								$function_callback = $table['page'].'_'.$table['child'].'_'.$column_name;
								if(is_callable($function_callback, false, $callable_name)) {
									$item[$column_name] = call_user_func_array($function_callback, array($table, $column, $item));
								}
								
								echo '<td scope="col" class="'.$item_id.'-'.$column['tab'].'-'.$column['field'].'"><span>'.$item[$column_name].'</span></td>';
							}
						echo '</tr>';	
					}
				}else{
					$colspan = count($table['columns']);
					echo '<tr><td colspan="'.$colspan.'">No entries found.</td></tr>';
				}
			echo '</tbody>';
		echo '</table>';
	}	

}
?>