<?php
class special_invoice_print extends field{
	
	function __construct($parent){ 	
		parent::__construct($parent);	
	}
	
	function on_page_load($field){
	}
	function on_page_head($field){
	}
	function on_page_footer($field){
	}
	function on_page_body($field){		
		$prefix = $this->parent->create_prefix('tab','_');
		echo '<div id="'.$field['id'].'" class="field">';
			
			$currency = upf_get_option($prefix.'currency');
			$currency = maybe_unserialize($currency);
			$currency = $currency['option'];
			
			//invoice creation field totals
			echo '<div style="float:left;">';
				echo '<table cellspacing="0" cellpadding="6">';
					echo '<tbody>';
						$total = upf_get_option($prefix.'total');
						if(!empty($total)){	
							echo '<tr><td scope="col"><span style="font-weight:bold;">Total:</span></td><td scope="col" >';
								echo '<span font-size:20px;>'.number_format($total, 2, '.', ',').' '.$currency.'</span>';	
							echo '</td></tr>';
						}
						$paid_manual = upf_get_option($prefix.'paid');	
						$paypal = upf_get_option($prefix.'paypal');
						if(is_array($paypal)){
							foreach ($paypal as $key => $payment) {
								$paid_paypal = $paid_paypal + $payment['mc_gross'];
							}	
						}		
						
						$paid = $paid_manual + $paid_paypal;
						if(!empty($paid)){	
							echo '<tr><td scope="col"><span style="font-weight:bold;">Paid:</span></td><td scope="col" >';
								echo '<span font-size:20px;>'.number_format($paid, 2, '.', ',').' '.$currency.'</span>';	
							echo '</td></tr>';
						}
						$due = upf_get_option($prefix.'due');
						if(!empty($due) || !empty($paid)  || !empty($total) ){	
							echo '<tr><td scope="col"><span style="font-weight:bold;">Amount Due:</span></td><td scope="col" >';
								echo '<span style="font-size:20px;">'.number_format($due, 2, '.', ',').' '.$currency.'</span>';	
							echo '</td></tr>';
						}
					echo '</tbody>';			
				echo '</table>';
			echo '</div>';	
			
			// invoice creation button
			$client = upf_get_option($prefix.'client');
			echo '<div style="float:right;text-align:right;">';
				echo '<a href="'.home_url().'/?p='. upf_get_option('settings_settings_1_portal_portalpage') .'&invoice='.$_GET['item'].'&client='.$client.'"  class="button  button-hero" target="_blank">View Invoice</a>';
				echo '<p class="description">(creates an invoice from saved data)</p>';
			echo '</div>';
			echo '<div class="clear"></div>';
		echo '</div>';
	}
	
	function on_page_save($field){
		$field['meta_key'] = $this->parent->create_prefix('tab','_').'subtotal';	
		$subtotal = upf_get_option($field['meta_key']);
		$field['meta_key'] = $this->parent->create_prefix('tab','_').'discount';	
		$discount = upf_get_option($field['meta_key']);
		$field['meta_key'] = $this->parent->create_prefix('tab','_').'tax';	
		$tax = upf_get_option($field['meta_key']);
		$field['meta_key'] = $this->parent->create_prefix('tab','_').'fixed';	
		$fixed = upf_get_option($field['meta_key']);	
		
		$taxed = round((($subtotal - $discount) * $tax / 100),2);
		upf_update_option($this->parent->create_prefix('tab','_').'taxed', $taxed);		
		
		$total = $subtotal - $discount + $taxed + $fixed['value'];
		upf_update_option($this->parent->create_prefix('tab','_').'total', $total);		

		$field['meta_key'] = $this->parent->create_prefix('tab','_').'paid';	
		$paid_manual = upf_get_option($field['meta_key']);

		$field['meta_key'] = $this->parent->create_prefix('tab','_').'paypal';	
		$paypal = upf_get_option($field['meta_key']);
		if(is_array($paypal)){
			foreach ($paypal as $key => $payment) {
				$paid_paypal = $paid_paypal + $payment['mc_gross'];
			}	
		}	
		
		$due = $total - ($paid_manual + $paid_paypal);	
		if($due < 0){
			$due = 0.00;
		}
		upf_update_option($this->parent->create_prefix('tab','_').'due', $due);
	}	
}
?>