<?php
//avoid direct calls to this file where wp core files not present
if (!function_exists ('add_action')) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}

$pages = array (
	array(  
		"slug" => "clients",
		"title" => "Client Manager",
		"menu_title" => "Client Manager",
		"sub_menu_title" => "Clients",
		"menu_icon" => 'div',
		"menu_position" => 300,
		"capability" => "manage_options", //client_manager_clients
		"notices" => false,
		"children" => array(   
			array(
				"slug" => "clients",
				"title" => "Clients Overview",
				"icon" => 'upf-clients',
				"heading" => "Clients Overview",
				"buttons" => array(
					array(
						"title" => "New Client",
						"url" => "&child=client&action=new",
						"url_prefix" => "page",
						"target" => false,
					),
					array(
						"title" => "New Contact",
						"url" => "&child=contact&action=new",
						"url_prefix" => "page",
						"target" => false,						
					), 
				),
				"tabs" => array(
					array(
						"slug" => "clients",
						"title" => "Clients",	
						"layout" => "post",
						"layout_columns" => 1,		
						"url" => false,					
						"holders" => array(
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"id" => "clientslisttable",
										"title" => "Clients Listtable",
										"type" => "special_listtable_clients",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							)
						)
					),
					array(
						"slug" => "contacts",
						"title" => "Contacts",	
						"layout" => "post",
						"layout_columns" => 1,	
						"url" => false,							
						"holders" => array(
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"id" => "contactslisttable",
										"title" => "Contacts Listtable",
										"type" => "special_listtable_contacts",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							)
						)				
					)
				)
			),
			array(
				"slug" => "client",
				"title" => "Client",
				"icon" => 'upf-clients',
				"heading" => false,
				"buttons" => false,
				"tabs" => array(
					array(
						"slug" => "information",
						"title" => "Information",	
						"layout" => "post",
						"layout_columns" => 2,			
						"url" => false,							
						"holders" => array(						
							array(
								"context" => "normal",
								"boxes" => array(
									array(
										"id" => "general",
										"type" => "metabox",
										"title" => "General Information",
										"static" => false,
										"fields" => array( 
											array(
												"id" => "company",
												"title" =>"Client",
												"description" => false,
												"type" => "text",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "sector",
												"title" =>"Sector",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "activities",
												"title" =>"Activities",
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "employees",
												"title" =>"Employees",
												"description" => false,
												"type" => "number",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "primarycontact",
												"title" =>"Primary Contact",
												"description" => false,
												"type" => "special_select_contact",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "user",
												"title" => "Linked User",
												"description" => false,
												"type" => "user",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
										)
									),
									array(
										"id" => "contact",
										"type" => "metabox",
										"static" => false,
										"title" => "Contact Information",
										"fields" => array( 
											array(
												"id" => "street",
												"title" =>"Address",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,	
												"default" => false,
											),
											array(
												"id" => "street2",
												"title" =>"Address 2",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),	
											array(
												"id" => "city",
												"title" =>"City",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,												
											),	
											array(
												"id" => "zipcode",
												"title" =>"Zip/Postal Code",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,		
												"default" => false,													
											),	
											array(
												"id" => "state",
												"title" =>"State/Province",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,		
												"default" => false,													
											),	
											array(
												"id" => "country",
												"title" =>"Country",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,	
											),
										),
									),
									array(
										"id" => "business",
										"type" => "metabox",
										"static" => false,
										"title" => "Business Information",
										"fields" => array( 											
											array(
												"id" => "phone",
												"title" =>"Telephone",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,													
											),
											array(
												"id" => "email",
												"title" =>"Email",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => "email",
												"default" => false,												
											),
											array(
												"id" => "website",
												"title" =>"Website",
												"description" => "Example: http://wordpress.org/ ( don't forget the http:// )",
												"type" => "text",
												"required" => false,
												"validation" => "url",
												"default" => false,
											),	
											array(
												"id" => "cocnumber",
												"title" =>"Chamber of Commerce Registration",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "vatnumber",
												"title" =>"VAT Number",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),	
											array(
												"id" => "bankaccount",
												"title" =>"Bank Account Number",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),										
										)
									)
								)
							),
							array(
								"context" => "side",
								"boxes" => array(
									array(
										"id" => "save",
										"type" => "metabox",
										"static" => false,
										"title" => "Save",
										"fields" => array( 
											array(
												"id" => "submit",
												"title" =>"Save client",
												"style" => "primary",
												"type" => "save",	
												"button_text" => false, 
												"attributes" => false,	
												"required" => false,
												"validation" => false,	
												"default" => false,
											)
										)
									),
									array(
										"id" => "notepad",
										"type" => "metabox",
										"static" => false,
										"title" => "Notepad",
										"fields" => array( 
											array(
												"id" => "notepad",
												"title" => false,
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											)
										)
									)
								)
							)								
						)
					),
					array(
						"slug" => "contacts",
						"title" => "Contacts",	
						"layout" => "post",
						"layout_columns" => 1,					
						"url" => false,	
						"holders" => array(		
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"type" => "postarea",
										"title" => false,
										"id" => "postareaheading",
										"fields" => array( 
											array(
												"id" => "clientscontactsheading",
												"title" => "Contacts Overview",
												"type" => "special_plain_heading",
												"required" => false,
												"validation" => false,
												"default" => false,
												"heading" => "Contacts Overview",
												"buttons" => array(
													array(
														"title" => "New Contact",
														"url" => "&child=contact&action=new",
														"url_prefix" => "page",
														"target" => false,
													),
													array(
														"title" => "All Contacts",
														"url" => "&child=clients&tab=contacts",
														"url_prefix" => "page",
														"target" => false,
													),
												)
											)
										)
									),
									array(
										"id" => "clienttable",
										"title" => "Client Table",
										"type" => "special_listtable_client_contacts",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							)												
						)
					),
					array(
						"slug" => "projects",
						"title" => "Projects",	
						"layout" => "post",
						"layout_columns" => 1,						
						"url" => false,
						"holders" => array(		
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"type" => "postarea",
										"title" => false,
										"id" => "postareaheading",
										"fields" => array( 
											array(
												"id" => "clientsprojectsheading",
												"title" => "Projects Overview",
												"type" => "special_plain_heading",
												"required" => false,
												"validation" => false,
												"default" => false,
												"heading" => "Projects Overview",
												"buttons" => array(
													array(
														"title" => "New Project",
														"url" => "?page=projects&child=project&action=new",
														"url_prefix" => false,
														"target" => false,
													),
													array(
														"title" => "All Projects",
														"url" => "?page=projects&child=projects&tab=projects",
														"url_prefix" => false,
														"target" => false,
													),
												)
											)
										)
									),
									array(
										"id" => "projecttable",
										"title" => "Client Projects Listtable",
										"type" => "special_listtable_client_projects",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							)													
						)
					),
					array(
						"slug" => "invoices",
						"title" => "Invoices",	
						"layout" => "post",
						"layout_columns" => 1,					
						"url" => false,	
						"holders" => array(		
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"type" => "postarea",
										"title" => false,
										"id" => "postareaheading",
										"fields" => array( 
											array(
												"id" => "clientsinvoicesheading",
												"title" => "Invoices Overview",
												"type" => "special_plain_heading",
												"required" => false,
												"validation" => false,
												"default" => false,
												"heading" => "Invoices Overview",
												"buttons" => array(
													array(
														"title" => "New invoice",
														"url" => "?page=invoices&child=invoice&action=new",
														"url_prefix" => false,
														"target" => false,
													),
													array(
														"title" => "All Invoices",
														"url" => "?page=invoices&child=invoices&tab=invoices",
														"url_prefix" => false,
														"target" => false,
													),
												)
											)
										)
									),
									array(
										"id" => "clienttable",
										"title" => "Client Invoices Table",
										"type" => "special_listtable_client_invoices",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							),														
						)	
					),
				)
			),
			array(
				"slug" => "contact",
				"title" => "Contact",
				"icon" => 'upf-clients',
				"heading" => "Contact",
				"buttons" => false,
				"tabs" => array(
					array(
						"slug" => "information",
						"title" => "Information",	
						"layout" => "widget",
						"layout_columns" => 2,				
						"url" => false,				
						"holders" => array(						
							array(
								"context" => "normal",
								"boxes" => array(
									array(
										"id" => "general",
										"type" => "metabox",
										"static" => false,
										"title" => "General Information",
										"fields" => array( 
											array(
												"id" => "firstname",
												"title" =>"First Name",
												"description" => false,
												"type" => "text",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "lastname",
												"title" =>"Last Name",
												"description" => false,
												"type" => "text",
												"required" => true,
												"validation" => false,	
												"default" => false,
											),
											array(
												"id" => "company",
												"title" =>"Client",
												"description" => false,
												"type" => "special_select_client",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "jobtitle",
												"title" =>"Job Title",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
										)
									),
									array(
										"id" => "contact",
										"type" => "metabox",
										"static" => false,
										"title" => "Contact Information",
										"fields" => array( 
											array(
												"id" => "businessphone",
												"title" =>"Business Phone",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "assistantphone",
												"title" =>"Assistant Phone",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "privatephone",
												"title" =>"Private Phone",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "emailaddress",
												"title" =>"Email Address",
												"description" => false,
												"type" => "text",
												"required" => false,	
												"validation" => "email",
												"default" => false,
											),
										)
									)
								)
							),
							array(
								"context" => "side",
								"boxes" => array(
									array(
										"id" => "save",
										"type" => "metabox",
										"static" => false,
										"title" => "Save",
										"fields" => array( 
											array(
												"id" => "submit",
												"title" =>"Save client",
												"style" => "primary",
												"type" => "save",	
												"required" => false,
												"validation" => false,
												"default" => false,
												"button_text" => false, 
												"attributes" => false,									
											)
										)
									),
									array(
										"id" => "notepad",
										"type" => "metabox",
										"static" => false,
										"title" => "Notepad",
										"fields" => array( 
											array(
												"id" => "notepad",
												"title" => false,
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											)
										)
									)
								)
							)								
						)
					)
				)
			)
		)
	),
	array(   
		"parent_slug" => 'clients',
		"title" => "Projects",
		"menu_title" => "Projects",
		"capability" => 'manage_options', //client_manager_projects
		"notices" => false,
		"slug" => 'projects',
		"children" => array(   
			array(
				"slug" => "projects",
				"title" => "Projects Overview",
				"icon" => 'upf-projects',
				"heading" => 'Projects Overview',
				"buttons" => array(
					array(
						"title" => "New Project",
						"url" => "&child=project&action=new",
						"url_prefix" => "page",
						"target" => false,
					),
					array(
						"title" => "New Task",
						"url" => "&child=task&action=new",
						"url_prefix" => "page",
						"target" => false,
					),
				),
				"tabs" => array(
					array(
						"slug" => "projects",
						"title" => "Projects",	
						"layout" => "post",
						"layout_columns" => 1,							
						"url" => false,	
						"holders" => array(
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"id" => "projectslisttable",
										"title" => "Projects Listtable",
										"type" => "special_listtable_projects",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							)
						)
					),
					array(
						"slug" => "tasks",
						"title" => "Tasks",	
						"layout" => "post",
						"layout_columns" => 1,						
						"url" => false,		
						"holders" => array(
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"id" => "taskslisttable",
										"title" => "Tasks Listtable",
										"type" => "special_listtable_tasks",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							)
						)				
					)
				)
			),
			array(
				"slug" => "project",
				"title" => "Project",
				"icon" => 'upf-projects',
				"heading" => false,
				"buttons" => false,
				"tabs" => array(
					array(
						"slug" => "information",
						"title" => "Information",	
						"layout" => "post",
						"layout_columns" => 2,								
						"url" => false,
						"holders" => array(						
							array(
								"context" => "normal",
								"boxes" => array(
									array(
										"id" => "general",
										"type" => "metabox",
										"static" => false,
										"title" => "General Information",
										"fields" => array( 
											array(
												"id" => "projectname",
												"title" =>"Project Name",
												"description" => false,
												"type" => "text",
												"required" => true,	
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "description",
												"title" =>"Description",
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "client",
												"title" =>"Client",
												"description" => false,
												"type" => "special_select_client",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "startdate",
												"title" =>"Start Date",
												"description" => "Example: 1234/12/12",
												"type" => "datepicker",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "duedate",
												"title" =>"Due Date",
												"description" => "Example: 1234/12/12",									
												"type" => "datepicker",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "enddate",
												"title" =>"End Date",
												"description" => "Example: 1234/12/12",
												"type" => "datepicker",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "progress",
												"title" =>"Progress",
												"description" => false,
												"type" => "slider",
												"required" => true,
												"validation" => false,
												"data" => array(
													"range" => "min",
													"min" => "0",
													"max" => "100",	
													"step" => false,
												),
												"readonly" => array(
													"min" => true,
													"max" => false,
												),
												"hidden" => array(
													"min" => false,
													"max" => false,
												),
												"default" => array(
													"min" => 0,
													"max" => 0,
												),								
											),
											array(
												"id" => "status",
												"title" =>"Status",
												"description" => false,
												"type" => "select",
												"required" => false,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "Draft",
														"value" => "draft"
													),
													array(
														"title" => "Open",
														"value" => "open"
													),	
													array(
														"title" => "Pending",
														"value" => "pending"
													),
													array(
														"title" => "Closed",			
														"value" => "closed"
													)
												),
											),
										)
									)
								)
							),
							array(
								"context" => "side",
								"boxes" => array(
									array(
										"id" => "save",
										"type" => "metabox",
										"static" => false,
										"title" => "Save",
										"fields" => array( 
											array(
												"id" => "submit",
												"title" =>"Save project",
												"style" => "primary",
												"type" => "save",	
												"required" => false,
												"validation" => false,
												"default" => false,
												"button_text" => false, 
												"attributes" => false,									
											)
										)
									),
									array(
										"id" => "notepad",
										"type" => "metabox",
										"static" => false,
										"title" => "Notepad",
										"fields" => array( 
											array(
												"id" => "notepad",
												"title" => false,
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											)
										)
									)
								)
							)								
						)
					),
					array(
						"slug" => "tasks",
						"title" => "Tasks",	
						"layout" => "post",
						"layout_columns" => 1,					
						"url" => false,	
						"holders" => array(		
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"type" => "postarea",
										"title" => false,
										"id" => "postareaheading",
										"fields" => array( 
											array(
												"id" => "projecttasksheading",
												"title" => "Tasks Overview",
												"type" => "special_plain_heading",
												"required" => false,
												"validation" => false,
												"default" => false,
												"heading" => "Tasks Overview",
												"buttons" => array(
													array(
														"title" => "New Task",
														"url" => "&child=task&action=new",
														"url_prefix" => "page",
														"target" => false,
													),
													array(
														"title" => "All Tasks",
														"url" => "&child=projects&tab=tasks",
														"url_prefix" => "page",
														"target" => false,
													),
												)
											)
										)
									),
									array(
										"id" => "taskstable",
										"title" => "Tasks Table",
										"type" => "special_listtable_project_tasks",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							),														
						)
					)
				)
			),
			array(
				"slug" => "task",
				"title" => "Task",
				"icon" => 'upf-projects',
				"heading" => 'Task',
				"buttons" => false,
				"tabs" => array(
					array(
						"slug" => "information",
						"title" => "Information",	
						"layout" => "post",
						"layout_columns" => 2,							
						"url" => false,	
						"holders" => array(						
							array(
								"context" => "normal",
								"boxes" => array(
									array(
										"id" => "general",
										"type" => "metabox",
										"static" => false,
										"title" => "General Information",
										"fields" => array( 
											array(
												"id" => "taskname",
												"title" =>"Task Name",
												"description" => false,
												"type" => "text",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "description",
												"title" =>"Description",
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "project",
												"title" =>"Project",
												"description" => false,
												"type" => "special_select_project",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "startdate",
												"title" =>"Start Date",
												"description" => "Example: 1234/12/12",
												"type" => "datepicker",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "duedate",
												"title" =>"Due Date",
												"description" => "Example: 1234/12/12",				
												"type" => "datepicker",
												"required" => true,
												"validation" => false,	
												"default" => false,
											),
											array(
												"id" => "enddate",
												"title" =>"End Date",
												"description" => "Example: 1234/12/12",									
												"type" => "datepicker",
												"required" => false,
												"validation" => false,		
												"default" => false,
											),
											array(
												"id" => "timer",
												"title" =>"Timer",
												"description" => "If you want to start, stop, resume or reset the timer, select an option and hit the save changes button.",
												"type" => "timer",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "progress",
												"title" =>"Progress",
												"description" => false,
												"type" => "slider",
												"required" => true,
												"validation" => false,
												"data" => array(
													"range" => "min",
													"min" => "0",
													"max" => "100",	
													"step" => false,
												),
												"readonly" => array(
													"min" => true,
													"max" => false,
												),
												"hidden" => array(
													"min" => false,
													"max" => false,
												),
												"default" => array(
													"min" => 0,
													"max" => 0,
												),
											),
											array(
												"id" => "status",
												"title" =>"Status",
												"description" => false,
												"type" => "select",
												"required" => false,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "Pending",
														"value" => "pending"
													),
													array(
														"title" => "Open",
														"value" => "open"
													),
													array(
														"title" => "Closed",			
														"value" => "closed"
													)
												),
											),
										)
									)
								)
							),
							array(
								"context" => "side",
								"boxes" => array(
									array(
										"id" => "save",
										"type" => "metabox",
										"static" => false,
										"title" => "Save",
										"fields" => array( 
											array(
												"id" => "submit",
												"title" =>"Save project",
												"style" => "primary",
												"type" => "save",	
												"required" => false,
												"validation" => false,
												"default" => false,
												"button_text" => false, 
												"attributes" => false,									
											)
										)
									),
									array(
										"id" => "notepad",
										"type" => "metabox",
										"static" => false,
										"title" => "Notepad",
										"fields" => array( 
											array(
												"id" => "notepad",
												"title" => false,
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											)
										)
									)
								)
							)								
						)
					)
				)
			)
		)
	),	
	array(   
		"parent_slug" => 'clients',
		"title" => "Invoices",
		"menu_title" => "Invoices",
		"capability" => 'manage_options', //client_manager_invoices
		"notices" => false,
		"slug" => 'invoices',
		"children" => array(   
			array(
				"slug" => "invoices",
				"title" => "Invoices Overview",
				"icon" => 'upf-invoices',
				"heading" => 'Invoices Overview',
				"buttons" => array(
					array(
						"title" => "New Invoice",
						"url" => "&child=invoice&action=new",
						"url_prefix" => "page",
						"target" => false,
					),
					array(
						"title" => "New Item",
						"url" => "&child=item&action=new",
						"url_prefix" => "page",
						"target" => false,
					),
				),
				"tabs" => array(
					array(
						"slug" => "invoices",
						"title" => "Invoices",	
						"layout" => "post",
						"layout_columns" => 1,					
						"url" => false,			
						"holders" => array(
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"id" => "invoiceslisttable",
										"title" => "Invoices Listtable",
										"type" => "special_listtable_invoices",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							)
						)
					),
					array(
						"slug" => "items",
						"title" => "Items",	
						"layout" => "post",
						"layout_columns" => 1,				
						"url" => false,				
						"holders" => array(
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"id" => "itemslisttable",
										"title" => "Items Listtable",
										"type" => "special_listtable_items",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							)
						)				
					)
				)
			),
			array(
				"slug" => "invoice",
				"title" => "Invoice",
				"icon" => 'upf-invoices',
				"heading" => false,
				"buttons" => false,
				"tabs" => array(
					array(
						"slug" => "information",
						"title" => "Information",	
						"layout" => "post",
						"layout_columns" => 2,					
						"url" => false,			
						"holders" => array(						
							array(
								"context" => "normal",
								"boxes" => array(
									array(
										"id" => "general",
										"type" => "metabox",
										"static" => false,
										"title" => "General Information",
										"fields" => array( 
											array(
												"id" => "invoicenumber",
												"title" =>"Invoice Number",
												"description" => false,
												"type" => "special_invoice_number",
												"required" => true,
												"validation" => false,
												"default" => false,
											),		
											array(
												"id" => "invoicetitle",
												"title" =>"Invoice Title",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "client",
												"title" =>"Client",
												"description" => false,
												"type" => "special_select_client",
												"required" => false,
												"validation" => false,
												"default" => false,
											),	
											array(
												"id" => "description",
												"title" =>"Description (private)",
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "createdate",
												"title" =>"Create Date",
												"description" => false,
												"type" => "datepicker",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "duedate",
												"title" =>"Due Date",
												"description" => false,
												"type" => "datepicker",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "sentdate",
												"title" =>"Sent Date",
												"description" => false,
												"type" => "datepicker",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "notes",
												"title" =>"Invoice Notes (public)",
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),								

											array(
												"id" => "status",
												"title" =>"Status",
												"description" => false,
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "Draft",
														"value" => "draft"
													),
													array(
														"title" => "Open",
														"value" => "open"
													),
													array(
														"title" => "Open (sent)",
														"value" => "sent"
													),
													array(
														"title" => "Overdue",
														"value" => "overdue"
													),	
													array(
														"title" => "Paid",			
														"value" => "paid"
													),
												),
											),											
											array(
												"id" => "discount",
												"title" =>"Discount",
												"description" => "Example: 49.95 (decimals separated by a dot and no currency)",			
												"type" => "digit",
												"required" => false,								
												"validation" => 'number',
												"default" => false,
											),
											array(
												"id" => "paid",
												"title" =>"Paid (manual)",
												"description" => "Example: 49.95 (decimals separated by a dot and no currency)",	
												"type" => "digit",
												"required" => false,
												"validation" => 'number',
												"default" => false,
											),
											array(
												"id" => "paypal",
												"title" =>"Paid (PayPal)",
												"description" => false,
												"type" => "paypal",
												"multiple" => false,
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "tax",
												"title" =>"Tax",
												"description" => "Define a percentage",
												"type" => "number",
												"required" => false,
												"validation" => false,
												"default" => upf_get_option('settings_settings_1_invoices_tax'),
											),
											array(
												"id" => "fixed",
												"title" =>"Fixed Item",
												"description" =>false,
												"type" => "special_invoice_fixed",
												"required" => false,
												"validation" => false,
												"default" => array(
													"item" => upf_get_option('settings_settings_1_invoices_fixeditem'),
													"value" => upf_get_option('settings_settings_1_invoices_fixedvalue'),
												)
											),
											array(
												"id" => "currency",
												"title" =>"Currency",
												"description" =>false,
												"type" => "special_select_currency",
												"required" => true,
												"validation" => false,
												"multiple" => false,
												"options" => array(													
													array( "value" =>	'USD', "title" => 'U.S. Dollars ($)', ),
													array( "value" => 	'AUD', "title" => 'Australian Dollars (A $)', ),
													array( "value" => 	'CAD', "title" => 'Canadian Dollars (C $)', ),
													array( "value" =>	'EUR', "title" => 'Euros (&euro;)', ),
													array( "value" =>	'GBP', "title" => 'Pounds Sterling (&pound;)', ),
													array( "value" =>	'JPY', "title" => 'Yen (&yen;)', ),												
													array( "value" =>	'NZD', "title" => 'New Zealand Dollar ($)', ),
													array( "value" =>	'CHF', "title" => 'Swiss Franc', ),
													array( "value" =>	'HKD', "title" => 'Hong Kong Dollar ($)', ),
													array( "value" =>	'SGD', "title" => 'Singapore Dollar ($)', ),
													array( "value" =>	'SEK', "title" => 'Swedish Krona', ),
													array( "value" =>	'DKK', "title" => 'Danish Krone', ),
													array( "value" =>	'PLN', "title" => 'Polish Zloty', ),
													array( "value" =>	'NOK', "title" => 'Norwegian Krone', ),
													array( "value" =>	'HUF', "title" => 'Hungarian Forint', ),
													array( "value" =>	'CZK', "title" => 'Czech Koruna', ),
													array( "value" =>	'ILS', "title" => 'Israeli Shekel', ),
													array( "value" =>	'MXN', "title" => 'Mexican Peso', ),
													array( "value" =>	'BRL', "title" => 'Brazilian Real', ),
													array( "value" =>	'TWD', "title" => 'Taiwan New Dollar', ),
													array( "value" =>	'PHP', "title" => 'Philippine Peso', ),
													array( "value" =>	'TRY', "title" => 'Turkish Lira', ),
													array( "value" =>	'THB', "title" => 'Thai Baht', ),												
												),
												"default" => upf_get_option('settings_settings_1_invoices_currency'),
											),
											array(
												"id" => "printinvoice",
												"title" => 'Print Invoice',
												"description" => false,
												"type" => "special_invoice_print",
												"required" => false,
												"validation" => false,
												"default" => false,
											)
										)
									)
								)
							),
							array(
								"context" => "side",
								"boxes" => array(
									array(
										"id" => "save",
										"type" => "metabox",
										"static" => false,
										"title" => "Save",
										"fields" => array( 
											array(
												"id" => "submit",
												"title" =>"Save project",
												"style" => "primary",
												"type" => "save",	
												"required" => false,
												"validation" => false,
												"default" => false,
												"button_text" => false, 
												"attributes" => false,									
											)
										)
									),
									array(
										"id" => "notepad",
										"type" => "metabox",
										"static" => false,
										"title" => "Notepad",
										"fields" => array( 
											array(
												"id" => "notepad",
												"title" => false,
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
										)
									)
								)
							)								
						)
					),
					array(
						"slug" => "items",
						"title" => "Items",	
						"layout" => "post",
						"layout_columns" => 1,					
						"url" => false,	
						"holders" => array(		
							array(
								"context" => "main",
								"boxes" => array(
									array(
										"type" => "postarea",
										"title" => false,
										"id" => "postareaheading",
										"fields" => array( 
											array(
												"id" => "projecttasksheading",
												"title" => "Items Overview",
												"type" => "special_plain_heading",
												"required" => false,
												"validation" => false,
												"default" => false,
												"heading" => "Items Overview",
												"buttons" => array(
													array(
														"title" => "New Item",
														"url" => "&child=item&action=new",
														"url_prefix" => "page",
														"target" => false,
													),
													array(
														"title" => "All Items",
														"url" => "&child=invoices&tab=items",
														"url_prefix" => "page",
														"target" => false,
													),
												)
											)
										)
									),
									array(
										"id" => "itemstable",
										"title" => "Items Table",
										"type" => "special_listtable_invoice_items",
										"per_page" => 50,
										"bulk_actions" => array(),
										"search" => false,
									)
								)
							)													
						)
					)
				)
			),
			array(
				"slug" => "item",
				"title" => "Item",
				"icon" => 'upf-invoices',
				"heading" => 'Item',
				"buttons" => false,
				"tabs" => array(
					array(
						"slug" => "information",
						"title" => "Information",	
						"layout" => "post",
						"layout_columns" => 2,								
						"url" => false,
						"holders" => array(						
							array(
								"context" => "normal",
								"boxes" => array(
									array(
										"id" => "general",
										"type" => "metabox",
										"static" => false,
										"title" => "General Information",
										"fields" => array( 
											array(
												"id" => "itemname",
												"title" =>"Item Name",
												"description" => false,
												"type" => "text",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "invoice",
												"title" =>"Invoice",
												"description" => false,
												"type" => "special_select_invoice",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "description",
												"title" =>"Description",
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "unitprice",
												"title" =>"Unit Price",
												"description" => "Example: 49.95 (decimals separated by a dot and no currency)",												
												"type" => "digit",
												"required" => true,
												"validation" => 'number',
												"default" => false,
											),
											array(
												"id" => "quantity",
												"title" =>"Hours/Quantity",
												"description" => false,
												"type" => "number",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "total",
												"title" =>"Total",
												"description" => false,
												"type" => "special_itemtotal",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "updateinvoice",
												"description" => false,
												"type" => "update_invoice",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
										)
									)
								)
							),
							array(
								"context" => "side",
								"boxes" => array(
									array(
										"id" => "save",
										"type" => "metabox",
										"static" => false,
										"title" => "Save",
										"fields" => array( 
											array(
												"id" => "submit",
												"title" =>"Save project",
												"style" => "primary",
												"type" => "save",	
												"required" => false,
												"validation" => false,
												"default" => false,
												"button_text" => false, 
												"attributes" => false,									
											)
										)
									),
									array(
										"id" => "notepad",
										"type" => "metabox",
										"static" => false,
										"title" => "Notepad",
										"fields" => array( 
											array(
												"id" => "notepad",
												"title" => false,
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											)
										)
									)
								)
							)								
						)
					)
				)
			)
		)
	),
	array(   
		"parent_slug" => 'clients',
		"title" => "Settings",
		"menu_title" => "Settings",
		"capability" => 'manage_options', //client_manager_settings
		"notices" => false,
		"slug" => 'settings',
		"children" => array(
			array(
				"slug" => "settings",
				"title" => "Settings",
				"icon" => 'options-general',
				"heading" => false,
				"buttons" => false,
				"tabs" => array(
					array(
						"slug" => "clients",
						"title" => "Clients",	
						"layout" => "post",
						"layout_columns" => 2,								
						"url" => false,
						"holders" => array(						
							array(
								"context" => "normal",
								"boxes" => array(
									array(
										"id" => "general",
										"type" => "metabox",
										"static" => false,
										"title" => "General Information (own information)",
										"fields" => array( 
											array(
												"id" => "company",
												"title" =>"Company",
												"description" => false,
												"type" => "text",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "sector",
												"title" =>"Sector",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "activities",
												"title" =>"Activities",
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "employees",
												"title" =>"Employees",
												"description" => false,
												"type" => "number",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
										)
									),
									array(
										"id" => "contact",
										"type" => "metabox",
										"static" => false,
										"title" => "Contact Information",
										"fields" => array( 
											array(
												"id" => "street",
												"title" =>"Address",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,		
												"default" => false,
											),
											array(
												"id" => "street2",
												"title" =>"Address 2",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,	
												"default" => false,
											),	
											array(
												"id" => "city",
												"title" =>"City",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,			
												"default" => false,
											),	
											array(
												"id" => "zipcode",
												"title" =>"Zip/Postal Code",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,	
												"default" => false,
											),	
											array(
												"id" => "state",
												"title" =>"State/Province",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,		
												"default" => false,
											),	
											array(
												"id" => "country",
												"title" =>"Country",
												"description" => false,
												"type" => "text",			
												"required" => false,
												"validation" => false,	
												"default" => false,
											),
										),
									),
									array(
										"id" => "business",
										"type" => "metabox",
										"static" => false,
										"title" => "Business Information",
										"fields" => array( 											
											array(
												"id" => "phone",
												"title" =>"Telephone",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "email",
												"title" =>"Email",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => "email",
												"default" => false,
											),
											array(
												"id" => "website",
												"title" =>"Website",
												"description" => "Example: http://wordpress.org/ ( don't forget the http:// )",
												"type" => "text",
												"required" => false,
												"validation" => "url",
												"default" => false,
											),	
											array(
												"id" => "cocnumber",
												"title" =>"Chamber of Commerce Registration",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "vatnumber",
												"title" =>"VAT Number",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),	
											array(
												"id" => "bankaccount",
												"title" =>"Bank Account Number",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),										
										)
									)
								)
							),
							array(
								"context" => "side",
								"boxes" => array(
									array(
										"id" => "save",
										"type" => "metabox",
										"static" => false,
										"title" => "Save",
										"fields" => array( 
											array(
												"id" => "submit",
												"title" =>"Save project",
												"style" => "primary",
												"type" => "save",	
												"required" => false,
												"validation" => false,
												"default" => false,
												"button_text" => false, 
												"attributes" => false,
												"delete_action" => 'Off'		
											)
										)
									),
									array(
										"id" => "notepad",
										"type" => "metabox",
										"static" => false,
										"title" => "Notepad",
										"fields" => array( 
											array(
												"id" => "notepad",
												"title" => false,
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											)
										)
									)
								)
							)								
						)
					),
					array(
						"slug" => "invoices",
						"title" => "Invoices",	
						"layout" => "post",
						"layout_columns" => 2,				
						"url" => false,			
						"holders" => array(						
							array(
								"context" => "normal",
								"boxes" => array(
									array(
										"id" => "general",
										"type" => "metabox",
										"static" => false,
										"title" => "Invoice settings",
										"fields" => array( 	
											array(
												"id" => "invoicesearch",
												"title" =>"Search by",
												"description" =>"",
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "Invoice Number",
														"value" => "0"
													),
													array(
														"title" => "Invoice Title",
														"value" => "1"
													),
												),
											),	
											array(
												"id" => "manualnumber",
												"title" => "Manual Invoice Number",
												"description" => false,
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "Off",
														"value" => "0"
													),
													array(
														"title" => "On",
														"value" => "1"
													),
												),
											),	
											array(
												"id" => "autonumberprefix",
												"title" => "Automatic Invoice Number Prefix",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),													
											array(
												"id" => "currency",
												"title" =>"Currency",
												"description" => false,
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(													
													array( "value" =>	'USD', "title" => 'U.S. Dollars ($)', ),
													array( "value" => 	'AUD', "title" => 'Australian Dollars (A $)', ),
													array( "value" => 	'CAD', "title" => 'Canadian Dollars (C $)', ),
													array( "value" =>	'EUR', "title" => 'Euros (&euro;)', ),
													array( "value" =>	'GBP', "title" => 'Pounds Sterling (&pound;)', ),
													array( "value" =>	'JPY', "title" => 'Yen (&yen;)', ),												
													array( "value" =>	'NZD', "title" => 'New Zealand Dollar ($)', ),
													array( "value" =>	'CHF', "title" => 'Swiss Franc', ),
													array( "value" =>	'HKD', "title" => 'Hong Kong Dollar ($)', ),
													array( "value" =>	'SGD', "title" => 'Singapore Dollar ($)', ),
													array( "value" =>	'SEK', "title" => 'Swedish Krona', ),
													array( "value" =>	'DKK', "title" => 'Danish Krone', ),
													array( "value" =>	'PLN', "title" => 'Polish Zloty', ),
													array( "value" =>	'NOK', "title" => 'Norwegian Krone', ),
													array( "value" =>	'HUF', "title" => 'Hungarian Forint', ),
													array( "value" =>	'CZK', "title" => 'Czech Koruna', ),
													array( "value" =>	'ILS', "title" => 'Israeli Shekel', ),
													array( "value" =>	'MXN', "title" => 'Mexican Peso', ),
													array( "value" =>	'BRL', "title" => 'Brazilian Real', ),
													array( "value" =>	'TWD', "title" => 'Taiwan New Dollar', ),
													array( "value" =>	'PHP', "title" => 'Philippine Peso', ),
													array( "value" =>	'TRY', "title" => 'Turkish Lira', ),
													array( "value" =>	'THB', "title" => 'Thai Baht', ),												
												),
											),
											array(
												"id" => "tax",
												"title" =>"Tax",
												"description" => "Define a percentage",
												"type" => "number",
												"required" => false,
												"validation" => false,
												"default" => false,
											),	
											array(
												"id" => "fixed",
												"title" =>"Show 'Fixed Item' Field",
												"description" => "Define a percentage",
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "On",
														"value" => "0"
													),
													array(
														"title" => "Off",
														"value" => "1"
													),
												),
											),	
											array(
												"id" => "fixeditem",
												"title" =>"Default Fixed Item",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => false,
												"default" => false,
											),	
											array(
												"id" => "fixedvalue",
												"title" =>"Default Fixed Item Value",
												"description" => false,
												"type" => "digit",
												"required" => false,
												"validation" => false,
												"default" => false,
											),												
											array(
												"id" => "tax",
												"title" =>"Tax",
												"description" => "Define a percentage",
												"type" => "number",
												"required" => false,
												"validation" => false,
												"default" => false,
											),												
											array(
												"id" => "header",
												"title" =>"Template header",
												"description" => "Substitutes: [invoicenumber], [invoicetitle], [description], [createdate], [duedate], [sentdate], [notes], [status], [tax], [discount], [currencycode], [client], [client_sector], [client_activities], [client_employees], [client_street], [client_street2], [client_city], [client_zipcode], [client_state], [client_country], [client_phone], [client_email], [client_website], [client_cocnumber], [client_vatnumber], [client_bankaccount], [company], [company_sector], [company_activities], [company_employees], [company_street], [company_street2], [company_city], [company_zipcode], [company_state], [company_country], [company_phone], [company_email], [company_website], [company_cocnumber], [company_vatnumber], [company_bankaccount].",
												"type" => "wysiwyg",
												"required" => false,
												"validation" => false,
												"default" => false,
												"settings" => false,
											),
											array(
												"id" => "footer",
												"title" =>"Template footer",
												"description" => "Substitutes: [invoicenumber], [invoicetitle], [description], [createdate], [duedate], [sentdate], [notes], [status], [tax], [discount], [currencycode], [client], [client_sector], [client_activities], [client_employees], [client_street], [client_street2], [client_city], [client_zipcode], [client_state], [client_country], [client_phone], [client_email], [client_website], [client_cocnumber], [client_vatnumber], [client_bankaccount], [company], [company_sector], [company_activities], [company_employees], [company_street], [company_street2], [company_city], [company_zipcode], [company_state], [company_country], [company_phone], [company_email], [company_website], [company_cocnumber], [company_vatnumber], [company_bankaccount].",
												"type" => "wysiwyg",
												"required" => false,
												"validation" => false,
												"default" => false,
												"settings" => false,
											),
											/*
											array(
												"id" => "conditions",
												"title" =>"Payment Conditions",
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "thanks",
												"title" =>"Thanks Message",
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											),
											*/
										)
									),
									array(
										"id" => "paypal",
										"type" => "metabox",
										"static" => false,
										"title" => "Paypal settings",
										"fields" => array( 
											array(
												"id" => "paypal",
												"title" =>"Enable PayPal",
												"description" => "<span style='color:#cc0000'>Permalinks must be enabled to function (otherwise PayPal is disabled)</span>",
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "Off",
														"value" => "0"
													),
													array(
														"title" => "On",
														"value" => "1"
													),
												),
											),
											array(
												"id" => "paypalsandbox",
												"title" =>"PayPal Sandbox",
												"description" => false,
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "On",
														"value" => "1"
													),
													array(
														"title" => "Off",
														"value" => "0"
													),
												),
											),
											array(
												"id" => "paypalemail",
												"title" =>"PayPal Email",
												"description" => false,
												"type" => "text",
												"required" => false,
												"validation" => 'email',
												"default" => false,
											),	
											array(
												"id" => "paypaldebug",
												"title" =>"PayPal Fraud/Debug Email",
												"description" => "Send a message to the e-mail when the system indicates an IPN message as fraud",												
												"type" => "text",
												"required" => false,
												"validation" => 'email',
												"default" => false,
											),	
										),
									),
								)
							),
							array(
								"context" => "side",
								"boxes" => array(
									array(
										"id" => "save",
										"type" => "metabox",
										"static" => false,
										"title" => "Save",
										"fields" => array( 
											array(
												"id" => "submit",
												"title" =>"Save project",
												"style" => "primary",
												"type" => "save",	
												"required" => false,
												"validation" => false,
												"default" => false,
												"button_text" => false, 
												"attributes" => false,
												"delete_action" => 'Off'														
											)
										)
									),
									array(
										"id" => "notepad",
										"type" => "metabox",
										"static" => false,
										"title" => "Notepad",
										"fields" => array( 
											array(
												"id" => "notepad",
												"title" => false,
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											)
										)
									)
								)
							)								
						)
					),
					array(
						"slug" => "portal",
						"title" => "Client Portal",	
						"layout" => "post",
						"layout_columns" => 2,							
						"url" => false,
						"holders" => array(						
							array(
								"context" => "normal",
								"boxes" => array(
									array(
										"id" => "general",
										"type" => "metabox",
										"static" => false,
										"title" => "Client Portal settings",
										"fields" => array( 
											array(
												"id" => "portalpage",
												"title" =>"Portal Page",
												"description" => "If customers aren't logged in they see the default/normal page, you can adjust this just like your other pages.<br> If you have created a client and linked it to a user, then the user can login and see his clientportal.",
												"type" => "select_page",
												"required" => true,
												"validation" => false,
												"default" => false,
											),
											array(
												"id" => "clientsonly",
												"title" =>"Only Client Role",
												"description" =>"Only the client role is authorized to the client portal.",
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "On",
														"value" => "1"
													),
													array(
														"title" => "Off",
														"value" => "0"
													),
												),
											),
											array(
												"id" => "adminbar",
												"title" =>"Disable Toolbar",
												"description" =>"Disable toolbar for the client role when viewing site.",
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "On",
														"value" => "0"
													),
													array(
														"title" => "Off",
														"value" => "1"
													),
												),
											),
											array(
												"id" => "adminredirect",
												"title" =>"Admin Redirect",
												"description" =>"Redirect clients from admin back end to portal page.",
												"type" => "select",
												"required" => true,
												"validation" => false,
												"default" => false,
												"multiple" => false,
												"options" => array(
													array(
														"title" => "On",
														"value" => "1"
													),
													array(
														"title" => "Off",
														"value" => "0"
													),
												),
											),
										)
									)
								)
							),
							array(
								"context" => "side",
								"boxes" => array(
									array(
										"id" => "save",
										"type" => "metabox",
										"static" => false,
										"title" => "Save",
										"fields" => array( 
											array(
												"id" => "submit",
												"title" =>"Save project",
												"style" => "primary",
												"type" => "save",	
												"required" => false,
												"validation" => false,
												"default" => false,
												"button_text" => false, 
												"attributes" => false,
												"delete_action" => 'Off'												
											)
										)
									),
									array(
										"id" => "notepad",
										"type" => "metabox",
										"static" => false,
										"title" => "Notepad",
										"fields" => array( 
											array(
												"id" => "notepad",
												"title" => false,
												"description" => false,
												"type" => "textarea",
												"required" => false,
												"validation" => false,
												"default" => false,
											)
										)
									)
								)
							)								
						)
					)
				)
			),
		),
	)
);
?>